//台账统计
import request from "@/utils/request";

//监测终端统计单位图表
export function Classification() {
    return request({
        url: "/api1/Indicator/Classification",
        method: "post"

    });
}
export function figure() {
    return request({
        url: "/api1/system-boot/census/getFigure",
        method: "get"
    });
}
export function getAllRStatHarmonicM(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonic/getAllRStatHarmonic",
        method: "get",
        params: data
    });
}
export function getRStatHarmonicIcon(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonic/getRStatHarmonicIconVoltage",
        method: "get",
        params: data
    });
}
export function getRStatHarmonicIcon2(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonic/getRStatHarmonicIconDate",
        method: "get",
        params: data
    });
}
export function getAllRStatEventM(data) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getAllRStatEvent",
        method: "get",
        params: data
    });
}
export function getRStatEventIcon(data) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getRStatHarmonicIconVoltage",
        method: "get",
        params: data
    });
}
export function getRStatEventIcon2(data) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getRStatHarmonicIconDate",
        method: "get",
        params: data
    });
}
export function getAllRStatHarmonicOrgIcon(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonicOrg/getAllRStatHarmonicOrgIcon",
        method: "get",
        params: data
    });
}

export function getAllRStatEventOrg(data) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getAllRStatEventOrg",
        method: "get",
        params: data
    });
}
export function getAllRStatEventOrgIcon(data) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getAllRStatEventOrgIcon",
        method: "get",
        params: data
    });
}
export function getAllRStatHarmonicOrgM(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonicOrg/getAllRStatHarmonicOrg",
        method: "get",
        params: data
    });
}
export function getAllRStatSubstationIcon(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatSubstation/getAllRStatSubstationIconDays",
        method: "get",
        params: data
    });
}
export function getAllRStatSubstationIcon2(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatSubstation/getAllRStatSubstationIconVoltage",
        method: "get",
        params: data
    });
}
export function getAllRStatSubstationIcon3(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatSubstation/getAllRStatSubstationIconAvgDays",
        method: "get",
        params: data
    });
}
export function RStatSubstationIcon(data) {
    return request({
        url: "/event-boot/event/rStatSubstation/getStatSubstationIconDistributed",
        method: "get",
        params: data
    });
}
export function RStatSubstationIcon2(data) {
    return request({
        url: "/event-boot/event/rStatSubstation/getStatSubstationIconVoltage",
        method: "get",
        params: data
    });
}
export function RStatSubstationIcon3(data) {
    return request({
        url: "/event-boot/event/rStatSubstation/getStatSubstationIconIndex",
        method: "get",
        params: data
    });
}